import request from '../js/request.js';


export default {

    // get请求，获取手机验证码
    getSmsCode(data) {
        return request({
            url: '/v1/common/send-validate?phone='+ data.phone,
            method: 'POST'
        })
    },

    register(data) {
        return request({
            url: '/v1/user-register',
            method: 'POST',
            data: data
        },true)
    },

    versionUpgrade() {
        return request({
            url: '/v1/versionUpgrade',
            method: 'GET',
        })
    },



    //奖品列表
    prizeList() {
        return request({
            url: '/v1/prize/list',
            method: 'GET',
        })
    },
    //抽奖接口
    draw(data) {
        return request({
            url: '/v1/prize/draw',
            method: 'GET',
            data: data
        },true)
    },

    //中奖记录
    winningRecord(data) {
        return request({
            url: '/v1/prize/winning-record',
            method: 'GET',
            data: data
        },true)
    },

    //获取抽奖次数
    drawCount(data) {
        return request({
            url: '/v1/prize/drawCount',
            method: 'GET',
            data: data
        },true)
    },



}
